Partially update Engage template
curl --request PATCH \
--url https://app.forecastable.com/api/v1/engage/templates/{templateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"isPublic": true,
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountTypes": [
"<string>"
],
"accountStatuses": [
"<string>"
],
"persona": [
"<string>"
],
"scheduling": {}
}
'import requests
url = "https://app.forecastable.com/api/v1/engage/templates/{templateId}"
payload = {
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"cc": ["<string>"],
"bcc": ["<string>"],
"isPublic": True,
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountTypes": ["<string>"],
"accountStatuses": ["<string>"],
"persona": ["<string>"],
"scheduling": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
subject: '<string>',
body: JSON.stringify('<string>'),
cc: ['<string>'],
bcc: ['<string>'],
isPublic: true,
accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
accountTypes: ['<string>'],
accountStatuses: ['<string>'],
persona: ['<string>'],
scheduling: {}
})
};
fetch('https://app.forecastable.com/api/v1/engage/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"isPublic": true,
"isArchived": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subject": "<string>",
"body": "<string>",
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountTypes": [
"<string>"
],
"accountStatuses": [
"<string>"
],
"persona": [
"<string>"
],
"scheduling": {},
"attachments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fileName": "<string>",
"mimeType": "<string>",
"byteSize": 123,
"assetUrl": "<string>"
}
],
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Engage Templates
Partially update Engage template
PATCH
/
engage
/
templates
/
{templateId}
Partially update Engage template
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Body
application/json
Required string length:
1 - 300Maximum string length:
998Maximum string length:
500000Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Response
Updated template.
Show child attributes
Show child attributes
Was this page helpful?
⌘I